POST
https://api.examplary.ai/integrations/{integrationType}/statusLets the service behind an integration report its latest run (state, timestamps, summary counts), shown on the integrations page. Only available to first-party services with a client-credentials token.
Path parameters
integrationTypestringrequired
Request body
statestringrequired
Allowed values:idlerunningsuccessfailed
startedAtstring· date-time· pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
finishedAtstring· date-time· pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
messagestring· max length: 2000
Error or short summary
summaryobject
Flat counts, e.g. { studentsCreated: 12 }
Responses
200 — The integration with its updated status.
403 — Not a first-party service token.
404 — Unknown or unconfigured integration.
429 — Rate limit exceeded
Requirements
Rate limit
300 requests per minute per user.
OAuth scopes
This endpoint requires the integrations:write scope to be present.